This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 190330 - bind installed at upgrade even if not installed according to RPM
bind installed at upgrade even if not installed according to RPM
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 06:05 EDT by Jørgen Thomsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 22:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade.log (38.32 KB, text/plain)
2006-05-07 12:47 EDT, Jørgen Thomsen
no flags Details
anaconda.log (21.42 KB, text/plain)
2006-05-07 12:52 EDT, Jørgen Thomsen
no flags Details

  None (edit)
Description Jørgen Thomsen 2006-05-01 06:05:19 EDT
Description of problem:
bind was installed and destroyed my custom installation of bind even if it was 
not installed previously according to the RPM database

Version-Release number of selected component (if applicable):
upgrading from DVD and running online update afterwards

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-05-01 15:40:52 EDT
Can you provide /root/upgrade.log and /var/log/anaconda.log
Comment 2 Jørgen Thomsen 2006-05-01 18:22:38 EDT
I realized, that the same problem apparently also occurred for postfix !

Nothing special found in anaconda.log apart from this 

21:32:20 ERROR   : failed to unlink /var/lib/rpm/__db.000
21:32:24 INFO    : 
anaconda                                                             [1/1]
21:32:25 INFO    : primary sqlite cache needs updating, reading in metadata
21:32:35 INFO    : Added 2185 new packages, deleted 0 old in 9.77 seconds
21:32:35 INFO    : moving (1) to step postselection
21:32:35 INFO    : selected kernel package for kernel
21:32:40 ERROR   : No package matched to remove
21:32:40 ERROR   : No package matched to remove

upgrade.log:

Upgrading bind-9.3.2-4.1.i386.
warning: /etc/logrotate.d/named created as /etc/logrotate.d/named.rpmnew
warning: /etc/rc.d/init.d/named saved as /etc/rc.d/init.d/named.rpmorig
warning: /etc/rndc.conf created as /etc/rndc.conf.rpmnew
warning: /etc/rndc.key created as /etc/rndc.key.rpmnew
Upgrading cyrus-sasl-2.1.21-10.i386.
Upgrading postfix-2.2.8-1.2.i386.
warning: /etc/postfix/access created as /etc/postfix/access.rpmnew
warning: /etc/postfix/canonical created as /etc/postfix/canonical.rpmnew
warning: /etc/postfix/generic created as /etc/postfix/generic.rpmnew
warning: /etc/postfix/header_checks created as /etc/postfix/header_checks.rpmnew
warning: /etc/postfix/main.cf created as /etc/postfix/main.cf.rpmnew
warning: /etc/postfix/makedefs.out created as /etc/postfix/makedefs.out.rpmnew
warning: /etc/postfix/master.cf created as /etc/postfix/master.cf.rpmnew
warning: /etc/postfix/relocated created as /etc/postfix/relocated.rpmnew
warning: /etc/postfix/transport created as /etc/postfix/transport.rpmnew
warning: /etc/postfix/virtual created as /etc/postfix/virtual.rpmnew
warning: /etc/rc.d/init.d/postfix saved as /etc/rc.d/init.d/postfix.rpmorig
Comment 3 Jeremy Katz 2006-05-02 10:18:16 EDT
Can you please provide teh complete files I asked for.
Comment 4 Jørgen Thomsen 2006-05-07 12:47:29 EDT
Created attachment 128712 [details]
upgrade.log
Comment 5 Jørgen Thomsen 2006-05-07 12:52:00 EDT
Created attachment 128713 [details]
anaconda.log
Comment 6 Paul Nasrat 2006-05-07 22:36:43 EDT
rpm -qR NetworkManager
...
bind >= 24:9.3.1-20

NetworkManager upgraded, and that upgrade pulled in bind as a requires.  Postfix
probably was pulled in as the shortest package name providing /usr/sbin/sendmail
required for redhat-lsb.

For custom non-rpm installs upgrades are not going to work unless you are not
going to be overlapping with packages, or you package in such a way that it
either will not be upgraded (epoch) or in FC6 you provide a repository of your
custom packages that will be preferred over the vendor provided ones.

Note You need to log in before you can comment on or make changes to this bug.